module namespace debug-freeze = "http://www.architextus.com/xquery/library/debug/debug-freeze";

declare namespace rest="http://exquery.org/ns/restxq";

declare option db:chop 'no';

declare %rest:path('debug/debug-freeze')
        %output:method('xhtml')
        %output:html-version('5.0')
updating function debug-freeze:main(){
    let $rest-path-base := 'http://localhost:8984/rest/debug-freeze/'
    let $image-map-file := concat($rest-path-base, 'images.xml')
    let $doc := <p><image image-id="video"></image></p>
    let $xsl := concat($rest-path-base, 'test-freeze.xsl')
    let $params := map{'rest-path-base' := $rest-path-base, 'image-map-file' := $image-map-file}
    let $result := xslt:transform(document{$doc}, $xsl, $params)
    (:let $result := <hey/>:)
    (:return $result :)
    return (db:replace('debug-freeze', 'result.xml', document{$result}),
            db:output($result))
};
